<script type="text/javascript">

    //global var ; need to not have to initialize them every time a value is changed
    var objlang; 
    var objnames = new Array('imenbartit', 'igentexuser', 'igentexguest', 'inotpubrestex');
    var objinput = new Array();   //input text from form => objinput[name]
    var objhidden = new Array();  //input hidden from form => objhidden[name][lang]


  function change_color(inputzone, colorsquare)
  {
    var objinp = document.getElementById(inputzone);
    var objcol = document.getElementById(colorsquare);
    var colvalue = objinp.value;

    while(colvalue.length<6) { colvalue+='0'; }

    objcol.style.background = '#'+colvalue;
  }

  function change_width(inputzone, widthbar)
  {
    var objinp = document.getElementById(inputzone);
    var objbar = document.getElementById(widthbar);
    objbar.style.width = objinp.value+'px';
  }

  function init()
  {
    objlang = document.getElementById('islang');
    for(i=0;i<objnames.length;i++)
    {
      objinput[i] = document.getElementById(objnames[i]);
      objhidden[i] = new Array();
      for(j=0;j<objlang.options.length;j++)
      {
        objhidden[i][j] = document.getElementById(objnames[i]+'_'+objlang.options[j].value);
      }
    }
  }

  function change_lang()
  {
    for(i=0;i<objnames.length;i++)
    {
      objinput[i].value = objhidden[i][objlang.options.selectedIndex].value;
    }
  }

  function apply_changes(input_id)
  {
    var obj=document.getElementById(input_id);
    objhidden[objnames.indexOf(input_id)][objlang.options.selectedIndex].value = obj.value;

  }

</script>


<form method="post" action="" class="general">

<fieldset >
  <legend>{lang:mypolls_poll_display_config}</legend>
  <table class="formtable"  >
    <tr><td>{lang:mypolls_config_color_bars}</td>
    <td><input type="text" name="f_mypolls_color_bars" size="6"
                value="{MYPOLLS_CFG_COLOR_BARS}" maxlength="6" id="idz1"
                onkeyup="change_color('idz1', 'ids1');change_color('idz1', 'ids4')"/></td>
    <td><div id="ids1" style="display:block;width:15px;height:15px;border:0px;background-color:#{MYPOLLS_CFG_COLOR_BARS};"/></td></tr>

    <tr><td>{lang:mypolls_config_maxbarwidth}</td>
    <td><input type="text" name="f_mypolls_maxbarwidth" value="{MYPOLLS_CFG_MAXBARWIDTH}"
              maxlength="4" size="6" id="idz4" onkeyup="change_width('idz4', 'ids4')"/></td>
    <td><div id="ids4" style="display:block;width:{MYPOLLS_CFG_MAXBARWIDTH}px;height:8px;top:3px;border:0px;background-color:#{MYPOLLS_CFG_COLOR_BARS}"/></td></tr>

    <tr><td>{lang:mypolls_config_display_type}</td>
    <td colspan="2"><select name="f_mypolls_display_type_default">
      <!-- BEGIN mypolls_display_row -->
        <option value="{mypolls_display_row.VALUE}" {mypolls_display_row.SELECT}>{mypolls_display_row.TEXT}</option>
      <!-- END mypolls_display_row -->
    </select></td>
    </tr>

  </table>
</fieldset>

<fieldset>
  <legend>{lang:mypolls_integration_config}</legend>
  <!-- BEGIN mypolls_language_row -->
  <input type="hidden" name="f_mypolls_menubar_title_{mypolls_language_row.LANG}"
          id="imenbartit_{mypolls_language_row.LANG}" value="{mypolls_language_row.MENUBARTIT}">
  <input type="hidden" name="f_mypolls_generic_text_users_{mypolls_language_row.LANG}"
          id="igentexuser_{mypolls_language_row.LANG}" value="{mypolls_language_row.GENTEXUSER}">
  <input type="hidden" name="f_mypolls_generic_text_guests_{mypolls_language_row.LANG}"
          id="igentexguest_{mypolls_language_row.LANG}" value="{mypolls_language_row.GENTEXGUEST}">
  <input type="hidden" name="f_mypolls_not_public_results_{mypolls_language_row.LANG}"
          id="inotpubrestex_{mypolls_language_row.LANG}" value="{mypolls_language_row.NOTPUBRESTEX}">
  <!-- END mypolls_language_row -->
  <table class="formtable">
    <tr><td>{lang:mypolls_config_language}</td>
    <td>
      <select onchange="change_lang();" id="islang">
        <!-- BEGIN mypolls_language_srow -->
        <option value="{mypolls_language_srow.LANG}" {mypolls_language_srow.SELECT}>{mypolls_language_srow.TEXT}</option>
        <!-- END mypolls_language_srow -->
      </select>
    </td></tr>

    <tr><td>{lang:mypolls_config_menubar_title}</td>
    <td><input type="text" id="imenbartit" value="" maxlength="20" onkeyup="apply_changes('imenbartit');" /></td></tr>

    <tr><td>{lang:mypolls_config_generic_text_users}</td>
    <td><input type="text" id="igentexuser" value="" maxlength="250" size="60" onkeyup="apply_changes('igentexuser');" /></td></tr>

    <tr><td>{lang:mypolls_config_generic_text_guests}</td>
    <td><input type="text" id="igentexguest" value="" maxlength="250" size="60" onkeyup="apply_changes('igentexguest');" /></td></tr>

    <tr><td>{lang:mypolls_config_not_public_result_text}</td>
    <td><textarea id="inotpubrestex" rows="5" cols="60"
                  onkeyup="apply_changes('inotpubrestex');" /></textarea></tr>
  </table>
</fieldset>

<fieldset>
  <legend>{lang:mypolls_general_config}</legend>
  <table class="formtable"  >
    <tr><td>{lang:mypolls_config_admincolor}</td>
    <td><input type="text" name="f_mypolls_admincolor" value="{MYPOLLS_CFG_ADMINCOLOR}"
                maxlength="6" size="6" id="idz2" onkeyup="change_color('idz2', 'ids2')"/></td>
    <td><div id="ids2" style="display:block;width:15px;height:15px;border:0px;background-color:#{MYPOLLS_CFG_ADMINCOLOR}"/></td></tr>

    <tr><td>{lang:mypolls_config_mouseovercolor}</td>
    <td><input type="text" name="f_mypolls_mouseovercolor" value="{MYPOLLS_CFG_MOUSEOVERCOLOR}"
                maxlength="6" size="6" id="idz5" onkeyup="change_color('idz5', 'ids5')"/></td>
    <td><div id="ids5" style="display:block;width:15px;height:15px;border:0px;background-color:#{MYPOLLS_CFG_MOUSEOVERCOLOR}"/></td></tr>

    <tr><td>{lang:mypolls_config_nbuser_per_page}</td>
    <td><input type="text" name="f_mypolls_nbuser_per_page" value="{MYPOLLS_CFG_NBUSER_PER_PAGE}" maxlength="4" size="6"/></td></tr>

    <tr><td>{lang:mypolls_config_nbcomment_per_page}</td>
    <td><input type="text" name="f_mypolls_nbcomment_per_page" value="{MYPOLLS_CFG_NBCOMMENT_PER_PAGE}" maxlength="4" size="6"/></td></tr>
  </table>
</fieldset>


<p><input type="submit" value="{lang:mypolls_do_save}" name="submit_save_config"/></p>
</form>

<script type="text/javascript">
  init();
  change_lang();
</script>
